org.apache.lucene.search

## Class FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.search.FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

- All Implemented Interfaces:
    Cloneable, FuzzyTermsEnum.LevenshteinAutomataAttribute, Attribute
  Enclosing class:
    FuzzyTermsEnum

      public static final class FuzzyTermsEnum.LevenshteinAutomataAttributeImpl
      extends AttributeImpl
      implements FuzzyTermsEnum.LevenshteinAutomataAttribute

  Stores compiled automata as a list (indexed by edit distance)
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuzzyTermsEnum.LevenshteinAutomataAttributeImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CompiledAutomaton>` | `automata()`
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, reflectAsString, reflectWith`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FuzzyTermsEnum.LevenshteinAutomataAttributeImpl

          public FuzzyTermsEnum.LevenshteinAutomataAttributeImpl()

  - ### Method Detail

    - #### automata

          public List<CompiledAutomaton> automata()

      Specified by:
        `automata` in interface `FuzzyTermsEnum.LevenshteinAutomataAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.